# Update terminal sessions

`PATCH https://api.parklio.com/v2/terminals/{id}/sessions/{sessionId}`

This endpoint allows the user to update terminal sessions by id

**Auth:** `Authorization: Bearer <token>`

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `id` | string | yes |  |
| `sessionId` | string | yes |  |

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `license_plate` | string | no |  |
| `discount_time` | number | no |  |
| `end` | boolean | no |  |
| `user_id` | number | no |  |
| `user_email` | string | no |  |

```json
{
  "license_plate": "DT-PLATE2",
  "discount_time": -1,
  "end": true,
  "user_id": 1,
  "user_email": "john.doe@example.com"
}
```

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "session_id": "854813550000003054",
    "started_at": "2026-01-15T09:30:00.000Z",
    "ended_at": "2026-01-15T09:30:00.000Z",
    "duration": 10800,
    "discount_time": 15,
    "entry_type": "exit",
    "entry_terminal": "Terminal.85481355",
    "amount_paid": 20,
    "amount_due": 1.3,
    "payments": [
      {
        "origin": "85481355",
        "payment_id": 1,
        "session_id": "854813550000003054",
        "paid_at": {},
        "currency": "EUR",
        "amount_paid": 20,
        "amount_due": 20,
        "payment_method": "CARD",
        "success": true,
        "error": null,
        "provider_transaction_id": "521911099292",
        "provider_payment_id": "854813550000003054-9a8a-00006894898d"
      }
    ],
    "possibly_exited": false,
    "exit_allowed": true,
    "license_plate": "DT-PLATE2"
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

### 503 — the device might not be connected or an internal error happened

```json
{
  "success": false,
  "errors": [
    {
      "code": 40,
      "message": "the message to the remote device timed out"
    }
  ]
}
```

